# Update an integration link

PUT https://api.close.com/api/v1/integration_link/{id}/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/integration-links/update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /integration_link/{id}/:
    put:
      operationId: update
      summary: Update an integration link
      tags:
        - subpackage_integrationLinks
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationLink'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateIntegrationLink'
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    IntegrationLinkType:
      type: string
      enum:
        - lead
        - contact
        - opportunity
      title: IntegrationLinkType
    UpdateIntegrationLink:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        type:
          oneOf:
            - $ref: '#/components/schemas/IntegrationLinkType'
            - type: 'null'
        url:
          type:
            - string
            - 'null'
      title: UpdateIntegrationLink
    IntegrationLink:
      type: object
      properties:
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type:
            - string
            - 'null'
          format: date-time
        date_updated:
          type:
            - string
            - 'null'
          format: date-time
        id:
          type: string
        name:
          type: string
        organization_id:
          type: string
        type:
          $ref: '#/components/schemas/IntegrationLinkType'
        updated_by:
          type:
            - string
            - 'null'
        url:
          type: string
      required:
        - created_by
        - date_created
        - date_updated
        - id
        - name
        - organization_id
        - type
        - updated_by
        - url
      title: IntegrationLink
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```